/* 480px-320px */
@media (max-width: 480px) {
  /* --------------home page header---------- */

  header {
    width: 100%;
    padding: 30px 20px;
    position: relative;
 
  }

  .header-burger-menu {
    display: block;
  }

  .header-list2 {
    column-gap: 16px;
  }

  .logo-link {
    width: 40px;
    height: 40px;
    top: 28px;
    left: 92px;
    opacity: 1;
  }

  /* ----------home page section1 ---------- */
   .filter-sort-bar {
    padding: 0;
  }
  .word-new {
    font-size: 24px;
    line-height: 32px;
  }

  .word-collection {
    font-size: 24px;
    line-height: 32px;
  }

  .card-section-image {
    height: 240px;
  }

  .header-icon-buttons {
    gap: 16px;
  }
  .home-page-section2-all-image-title-button {
    padding-left: 120px;
  }
  .home-page-section2-main-title {
    font-size: 24px;
    line-height: 32px;
  }
  .article-img-480 {
    display: none;
  }
  /* -------------catalog cards section1 --------------- */
  .catalog-section1-container {
   width: 100%;

  }
  .catalog-section2-article-image-and-title {
    width: 100%;
  }

  .filter-text,
  .sort-dropdown {
    display: none;
  }

  .arrow-down-icon,
  .arrow-left-icon,
  .arrow-right-icon {
    display: block;
  }
  .catalog-section1 {
    padding: 32px 20px 40px 20px;
  }
  .catalog-cards-section1 {
    display: flex;
    flex-wrap: wrap;
    padding: 0px;
  }

  .catalog-section2-article-image-and-title {
    padding: 0px 20px;
  }

  .catalog-img {
    display: none;
  }

  .section2-article-title-and-button {
  }

  /* ----------------catalog pages section1 */
  .pagination-container {
    padding-bottom: 48px;
    margin-top: 20px;
  }

  .pagination-btn,
  .previous-btn {
    display: none;
  }

  /* -------------contact page --------------- */
  .contact-section-container {
    justify-content: center;
    align-items: center;
  }
  .contact-page-container {
    width: 440px;
    height: auto;
  }

  .send-message-btn {
    width: 408px;
  }

  .input-row input {
    width: 408px;
  }

  .contact-form textarea {
    width: 408px;
  }

  .contact-social-media {
    padding-left: 90px;
  }

  .input-row {
    flex-direction: column;
    width: 408px;
    margin-left: 0px;
    padding: 0px;
  }

  .map-container {
    width: 408px;
    height: 180px;
  }

  /* -------------------footer--------------- */
  footer {
    justify-content: center;
    flex-direction: column;
    align-items: center;
    width: 480px;
    height: 628px;
    padding: 10px 150px;
    row-gap: 40px;
    text-align: center;
  }

  .footer-social-media {
    justify-content: center;
    column-gap: 24px;
  }
}

/* -------------------------------320-------------------- */
@media (max-width: 320px) {
  header {
    width: 320px;
    padding: 32px 8px;
    position: relative;
  }
  .catalog-section1 {
    padding: 128px 8px 32px 8px;
  }
  .filter-sort-bar {
    padding: 0;
  }

  .catalog-cards-section1 {
    display: flex;
    flex-direction: column;
    padding: 8px;
    row-gap: 0px;
  }

  .catalog-section2-article-image-and-title {
    width: 304px;
    padding: 0px;
    cursor: pointer;
  }
  .home-page-section2-all-image-title-button {
    padding: 0 0 0 280px;
  }

  .catalog-section2-article-image-and-title:hover {
    box-shadow: none;
  }

  .pagination-container {
    padding: 40px 12px 24px 12px;
    margin: 0;
    color: #d9d9d9;
  }

  .contact-page-container {
    width: 300px;
    height: auto;
  }

  .logo-link {
    width: 40px;
    height: 40px;
    top: 28px;
    left: 92px;
    opacity: 1;
  }

  .send-message-btn {
    width: 288px;
  }

  .input-row input {
    width: 288px;
  }

  .contact-form textarea {
    width: 288px;
  }

  .input-row {
    flex-direction: column;
    width: 288px;
    margin-left: 0px;
    padding: 0px;
  }

  .contact-social-media {
    padding-left: 60px;
    gap: 20px;
  }

  .map-container {
    width: 288px;
    height: 180px;
  }

  footer {
    padding: 10px 60px;
    row-gap: 40px;
    text-align: center;
  }

  .footer-social-media {
    justify-content: center;
    column-gap: 24px;
  }
}
